function neuipopup(u,hu,hR)
%Funcin que reescribe, eventualmente, el valor de un dato tras haberse
%registrado una seleccin de alguna de sus casillas tipo popup

%u: dato a reescribir
%hu: array de handles de las cuatro casillas del dato 
%hR: array de handles extra si se trata de un rumbo

%hpadre: handle del control popup
%h: handle de la casilla del dato
%hgrad,hmin,hseg: handle de las casillas de grados minutos y segundos

rad=pi/180;

hpadre=hu(1);
h=hu(2);
if (numel(hu)>2)
    hgrad=hu(3);
    hmin=hu(4);
    hseg=hu(5);
end

xtipo=get(hpadre,'Tag');
tipo=get(hpadre,'Value');

if (strcmp(xtipo,'Velocidad') |strcmp(xtipo,'Distancia'))
    if (get(hpadre,'Value')==1)
        set(h,'String',num2str(u));
    else
        
        set(h,'String',num2str(u*1.852));
    end
    return
end

if (nargin>=3)%Se trata de un rumbo al que se modifica la notacin circular o cuadrantal
    xcircular=get(hR(1),'Value');
    if (xcircular==1)%notacin circular
        for n=2:3          
            set(hR(n),'Enable','off','Value',1)
        end
    elseif (xcircular==2)%notacin cuadrantal
        for n=2:3          
            set(hR(n),'Enable','on')
        end

        if (u<=pi/2)
            set(hR(2),'Value',1)%Norte
            set(hR(3),'Value',1)%Este
        elseif (u>pi/2 & u<=pi)
            set(hR(2),'Value',2)%Sur
            set(hR(3),'Value',1)%Este
            u=pi-u; 
        elseif (u>pi & u<=3*pi/2)
            set(hR(2),'Value',2)%Sur
            set(hR(3),'Value',2)%Oeste
            u=u-pi;
        else
            set(hR(2),'Value',1)%Norte
            set(hR(3),'Value',2)%Oeste
            u=2*pi-u;
        end
        
    end
end


if (tipo==1)%grados decimal
    set(h,'Visible','on')
    
    set(hgrad,'Visible','off')
    set(hmin,'Visible','off')
    set(hseg,'Visible','off')
    
    set(h,'String',num2str(u/rad))
        
else%grados minutos y segundos
    
    set(h,'Visible','off')
       
    
    [ugrados,uminutos,usegundos]=sacagms(u);

    set(hgrad,'Visible','on','String',num2str(ugrados))
    set(hmin,'Visible','on','String',num2str(uminutos))
    set(hseg,'Visible','on','String',num2str(usegundos))
        
end
return
