function ortodromica(lA,LA,lB,LB,R0)

%Traza una ortodrmica entre los puntos de coordenadas (lA,LA) y (lB,LB)
%con rumbo inicial R0

%phi=longitud
%lambda=latitud
%rho=radio

figure

rad=pi/180;
N=57; %nmero de puntos de referencia de la discretizacin (uno por cada grado de un radin)
rho=1; %Tomamos una esfera de radio unidad


%LEY DIFERENCIAL DE LA ORTODRMICA
DL=LB-LA;

if (DL~=0)&(abs(DL)~=pi)
    if (DL>pi)
        DLL=DL-2*pi;
    elseif (DL<-pi)
        DLL=2*pi+DL;
    else
        DLL=DL;
    end
    n0=floor(N*abs(DLL));
    dphi=linspace(0,DLL,n0); %longitudes intermedias
    lambda=atan(tan(lA)*cos(dphi)+sin(dphi)*cot(R0)/cos(lA)); %latitudes correspondientes

elseif (abs(DL)==pi)%se atraviesa el Polo Norte o el Polo Sur
    if (R0==0)%se atraviesa el Polo Norte
        n01=floor(N*abs(pi/2-lA));
        n02=floor(N*abs(pi/2-lB));
        lambda=[linspace(lA,pi/2,n01) linspace(pi/2,lB,n02)];
    else%R0==pi %se atraviesa el Polo Sur
        n01=floor(N*abs(-pi/2-lA));
        n02=floor(N*abs(-pi/2-lB));
        lambda=[linspace(lA,-pi/2,n01) linspace(-pi/2,lB,n02)];
    end
    n0=n01+n02;
    dphi=[zeros(1,n01) (LB-LA)*ones(1,n02)];
else
    dl=lB-lA;
    if dl~=0
        n0=floor(N*abs(dl));
    else
        n0=1;
    end
    dphi=0;
  
    lambda=linspace(lA,lB,n0);
end


%parametrizacin:
x=rho*cos(dphi+LA).*cos(lambda);
y=rho*sin(dphi+LA).*cos(lambda);
z=rho*sin(lambda);


%REPRESENTACIN

[X,Y,Z]=sphere(24);
surf(X,Y,Z,zeros(size(Z,1)))%esfera
hold
axis equal
linew=2;
plot3(rho*cos(linspace(0,2*pi,360)),rho*sin(linspace(0,2*pi,360)),zeros(360),'k-','LineWidth',2)%pintamos el Ecuador
plot3(rho*cos(linspace(-pi/2,pi/2,180)),zeros(180),rho*sin(linspace(-pi/2,pi/2,180)),'k-','LineWidth',2)%pintamos el Mer. 0
n=floor(N*abs(pi/2-lA));
plot3(rho*cos(linspace(lA,pi/2,n))*cos(LA),...
      rho*cos(linspace(lA,pi/2,n))*sin(LA),...
      rho*sin(linspace(lA,pi/2,n)),'r-','LineWidth',2)%pintamos el Mer. de A
  
      if DL~=0
n=floor(N*abs(pi/2-lB));
plot3(rho*cos(linspace(lB,pi/2,n))*cos(LB),...
      rho*cos(linspace(lB,pi/2,n))*sin(LB),...
      rho*sin(linspace(lB,pi/2,n)),'m-','LineWidth',2)%pintamos el Mer. de B
      end
      
plot3(x,y,z,'LineWidth',linew)%pintamos la ortodrmica

plot3(x(1),y(1),z(1),'Marker','square','MarkerSize',10,'MarkerEdgeColor','k','MarkerFaceColor','k')
plot3(x(n0),y(n0),z(n0),'Marker','o','MarkerSize',10,'MarkerEdgeColor','k','MarkerFaceColor','k')

%legend('Esfera','Ecuador','M. Greenwich','Merid. A','Merid. B', 'derrota','A','B')

return